Subject: Re: [PATCH] powerpc: document new interrupt-array property

From: Segher Boessenkool <[email-masked]>
Date: Sat, 24 Feb 2007 12:16:46 +0100

>> Sure, for every specific case one can envision a more neat
>> and compact device tree ;-P
>
> Still... I do think that even in the general case, providing a way to
> directly encode pairs <parent,specifier> is useful, especially when
> interrupt are wired in all sort of crazy ways as is common in the
> embedded world.

If you leave the "interrupts" property intact it might indeed
be a simple/clean/compatible enough change to be useful.

Segher